# Bakery::ViewBase Class Reference

This is a base class for View. More...

`#include <ViewBase.h>`

Inheritance diagram for Bakery::ViewBase:

[legend]

List of all members.

## Public Member Functions

| ViewBase ()
virtual | ~ViewBase ()
virtual void | load_from_document ()
virtual void | save_to_document ()
virtual void | clipboard_copy ()
virtual void | clipboard_paste ()
virtual void | clipboard_clear ()

## Detailed Description

This is a base class for View.

This allows the App to call load_from_document() and save_to_document(), without knowing exactly what type of document the view uses.

## Constructor & Destructor Documentation

Bakery::ViewBase::ViewBase | ( |  | ) |

virtual Bakery::ViewBase::~ViewBase | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Bakery::ViewBase::load_from_document | ( |  | ) | `[virtual]`

Reimplemented in Bakery::View_Composite< T_Document >.

Referenced by Bakery::View_Composite< T_Document >::load_from_document().

virtual void Bakery::ViewBase::save_to_document | ( |  | ) | `[virtual]`

Reimplemented in Bakery::View_Composite< T_Document >.

Referenced by Bakery::View_Composite< T_Document >::save_to_document().

virtual void Bakery::ViewBase::clipboard_copy | ( |  | ) | `[virtual]`

virtual void Bakery::ViewBase::clipboard_paste | ( |  | ) | `[virtual]`

virtual void Bakery::ViewBase::clipboard_clear | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- ViewBase.h